picard.fingerprint

## Enum DiploidHaplotype

- java.lang.Object
- - java.lang.Enum<DiploidHaplotype>
  - - picard.fingerprint.DiploidHaplotype

- All Implemented Interfaces:
    Serializable, Comparable<DiploidHaplotype>

      public enum DiploidHaplotype
      extends Enum<DiploidHaplotype>

  Simple enum to represent the three possible combinations of major/major, major/minor and minor/minor haplotypes for a diploid individual.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `aa`
    `Aa`
    `AA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DiploidHaplotype` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DiploidHaplotype[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AA

          public static final DiploidHaplotype AA

    - #### Aa

          public static final DiploidHaplotype Aa

    - #### aa

          public static final DiploidHaplotype aa

  - ### Method Detail

    - #### values

          public static DiploidHaplotype[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DiploidHaplotype c : DiploidHaplotype.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DiploidHaplotype valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null